/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.action;

import jp.mosp.common.common.BaseAction;
import jp.mosp.common.vo.MenuVo;

/**
 * メニュー表示機能を提供する。<br><br>
 * 表示メニューを設定する。<br>
 */
public class MenuAction extends BaseAction {
	
	/**
	 * コンストラクタ。<br>
	 * 処理シーケンス確認不要設定、権限設定を行う。
	 */
	public MenuAction() {
		super();
		setCheckProcSeq(false);
		setCheckAuth(false);
	}
	
	/**
	 * アクション。<br>
	 * セッション保持情報を除去し、
	 * {@link MenuVo}を設定する。
	 */
	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// VO準備
		MenuVo vo = new MenuVo(cfg, msg, nam, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());
	}
	
}
